import { requests } from './index';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

// 营销活动分页列表
export const activityList = params => requests(PREFIX + 'marketing-activity-page', params);

// 营销活动-- 删除
export const delActivity = params => requests(PREFIX + 'del-marketing-activity', params);

// 营销活动-- 删除
export const stopActivity = params => requests(PREFIX + 'expire-marketing-activity', params);

// 营销活动 - 获取详情
export const getActivityInfo = params => requests(PREFIX + 'get-marketing-activity-detail', params);

// 营销活动-- 新建/修改 [保存]计划信息
export const saveActivity = params => requests(PREFIX + 'save-edit-marketing-activity', params);

// 营销活动-- 查看数据概览
export const activityViewData = params => requests(PREFIX + 'marketing-activity-statistics', params);
